diskimg: RELEASE support

This commit is contained in:
Silvan Calarco 2015-01-25 17:09:33 +01:00
parent 45adad9a8e
commit 3e2f648f05

View File

@ -1,6 +1,8 @@
[ "$RELEASE" -a "$RELEASE" != "devel" ] && RELEASE_ADD="-$RELEASE" || RELEASE_ADD=
if [ "$MODE" = "rootfsinstall" ]; then if [ "$MODE" = "rootfsinstall" ]; then
/usr/sbin/rootfsinstall -y $ROOTFSINSTALL_ADD $LOOPDEV \ DISKIMG_FILE="$LOCALSTATEDIR/openmamba-rootfs-light${RELEASE_ADD}-$LANGUAGE.$DEVICEARCH.tar.xz"
$LOCALSTATEDIR/openmamba-rootfs-light-$LANGUAGE.$DEVICEARCH.tar.xz || \ echo "Using image $DISKIMG_FILE..."
/usr/sbin/rootfsinstall -y $ROOTFSINSTALL_ADD $LOOPDEV $DISKIMG_FILE || \
{ retcode=$? { retcode=$?
echo "$makedist_me: fatal error, aborting installation" >&2 echo "$makedist_me: fatal error, aborting installation" >&2
echo "$makedist_me: exit code was: $retcode" >&2 echo "$makedist_me: exit code was: $retcode" >&2
@ -8,9 +10,11 @@ if [ "$MODE" = "rootfsinstall" ]; then
sleep 600 sleep 600
{ (exit 1); exit 1; }; } { (exit 1); exit 1; }; }
elif [ "$MODE" = "usbinstall" ]; then elif [ "$MODE" = "usbinstall" ]; then
DISKIMG_FILE="$LOCALSTATEDIR/openmamba${RELEASE_ADD}-livecd-$LANGUAGE.$ARCH.iso"
echo "Using image $DISKIMG_FILE..."
# FIXME: current hosting system requirements: # FIXME: current hosting system requirements:
# grub-efi.i586 mactel-boot # grub-efi.i586 mactel-boot
/usr/sbin/usbinstall $LOOPDEV $LOCALSTATEDIR/openmamba-livecd-$LANGUAGE.$ARCH.iso -y || \ /usr/sbin/usbinstall $LOOPDEV $DISKIMG_FILE -y || \
{ retcode=$? { retcode=$?
echo "$makedist_me: fatal error, aborting installation" >&2 echo "$makedist_me: fatal error, aborting installation" >&2
echo "$makedist_me: exit code was: $retcode" >&2 echo "$makedist_me: exit code was: $retcode" >&2